
#ifdef GL_ES
precision lowp float;
#endif

uniform vec2 resolution; //our screen resolution
uniform float radius;

//"in" attributes from our vertex shader
varying vec4 v_fragmentColor;

void main()
{
	//sample our texture
    vec4 texColor = v_fragmentColor;

    //determine origin
    vec2 position = (gl_FragCoord.xy / resolution.xy) - vec2(0.5);

    //determine the vector length of the center position
    float len = length(position);

	//use smoothstep to create a smooth vignette
    float vignette = smoothstep(radius, 0.7, len);
	if(radius == -10.0)
		vignette = 1.0;

    texColor.a = vignette;
    gl_FragColor = texColor;
}